Bug 1571497 - Exception in openstack_aodh plugin
Summary: Exception in openstack_aodh plugin
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: pre-dev-freeze
: 7.6
Assignee: Pavel Moravec
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 02:11 UTC by Sai Sindhur Malleni
Modified: 2018-09-14 19:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-14 19:27:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sai Sindhur Malleni 2018-04-25 02:11:41 UTC
Description of problem:
Trying to run sosreport after sourcing overcloudrc on the OpenStack controller node, we are seeing the follower error and sosreport fails to collect any information
[heat-admin@overcloud-controller-0 ~]$ sosreport

sosreport (version 3.5)

This command will collect diagnostic and configuration information from
this Red Hat Enterprise Linux system and installed applications.

An archive containing the collected information will be generated in
/var/tmp/sos.NUojT3 and may be provided to a Red Hat support
representative.

Any information provided to Red Hat will be treated in accordance with
the published support policies at:

  https://access.redhat.com/support/

The generated archive may contain data considered sensitive and its
content should be reviewed by the originating organization before being
passed to any third party.

No changes will be made to system configuration.

Press ENTER to continue, or CTRL-C to quit.

Please enter your first initial and last name [overcloud-controller-0]: sa
Please enter the case id that you are generating this report for []: s

 Setting up archive ...
 Setting up plugins ...
 Running plugins. Please wait ...

  Running 1/1: openstack_aodh...        caught exception in plugin method "openstack_aodh.collect()"
writing traceback to sos_logs/openstack_aodh-plugin-errors.txt

[plugin:openstack_aodh] regex substitution failed for '/etc/aodh/aodh.conf' with: '[Errno 2] No such file or directory: '/var/tmp/sos.jRuqOo/sosreport-sa.s-20180425013524/etc/aodh/aodh.conf''
[plugin:openstack_aodh] regex substitution failed for '/etc/aodh/aodh.conf' with: '[Errno 2] No such file or directory: '/var/tmp/sos.jRuqOo/sosreport-sa.s-20180425013524/etc/aodh/aodh.conf''
[plugin:openstack_aodh] regex substitution failed for '/var/lib/config-data/puppet-generated/aodh/etc/aodh/aodh.conf' with: '[Errno 2] No such file or directory: '/var/tmp/sos.jRuqOo/sosreport-sa.s-20180425013524/var/lib/config-data/puppet-generated/aodh/etc/aodh/aodh.conf''
[plugin:openstack_aodh] regex substitution failed for '/var/lib/config-data/puppet-generated/aodh/etc/aodh/aodh.conf' with: '[Errno 2] No such file or directory: '/var/tmp/sos.jRuqOo/sosreport-sa.s-20180425013524/var/lib/config-data/puppet-generated/aodh/etc/aodh/aodh.conf''
Creating compressed archive...

Your sosreport has been generated and saved in:
  /var/tmp/sosreport-sa.s-20180425013524.tar.xz

The checksum is: ec39332e11fcbc2d9234d545a26d1f30

Please send this file to your support representative.


Version-Release number of selected component (if applicable):
OSP13

How reproducible:
100% on the OpenStack controller node, however haven't seen this when running on undercloud ndoe

Steps to Reproduce:
1. run sosreport command after sourcing overcloud
2.
3.

Actual results:
sosreport fails

Expected results:
sosreport  tarball should be generated

Additional info:

Comment 3 Bryn M. Reeves 2018-04-25 12:04:08 UTC
When reporting exceptions in plugins, please include the backtrace file mentioned in the sos output:

> writing traceback to sos_logs/openstack_aodh-plugin-errors.txt

Comment 4 Pavel Moravec 2018-05-02 11:50:45 UTC
(In reply to Bryn M. Reeves from comment #3)
> When reporting exceptions in plugins, please include the backtrace file
> mentioned in the sos output:
> 
> > writing traceback to sos_logs/openstack_aodh-plugin-errors.txt

Raising needinfo

(from the fact that /etc/aodh/aodh.conf is missing despite it is the very first item to be collected, I guess the plugin fails even before copying anything; but no idea why)

Comment 5 Pavel Moravec 2018-05-30 11:30:33 UTC
(In reply to Pavel Moravec from comment #4)
> (In reply to Bryn M. Reeves from comment #3)
> > When reporting exceptions in plugins, please include the backtrace file
> > mentioned in the sos output:
> > 
> > > writing traceback to sos_logs/openstack_aodh-plugin-errors.txt
> 
> Raising needinfo
> 
> (from the fact that /etc/aodh/aodh.conf is missing despite it is the very
> first item to be collected, I guess the plugin fails even before copying
> anything; but no idea why)

Kindly reminding the needinfo, otherwise I will close the BZ as insufficient data provided.


Note You need to log in before you can comment on or make changes to this bug.